Description

This is a wishlist for several enhancements of the Revisions page, after evaluating Redmine for a while for use in a project which has

a similar list: http://dev.robotbattle.com/cmtinfo_svn.php?r=10 (http://www.exiv2.org)

As a developer, I use the Revisions list constantly to keep track of the changes in a project and these features would in my opinion

greatly enhance it:

A "View differences" link for each revision directly in the Revisions list to avoid the extra step via the "Revision 123" page

The ability to expand a specific Revision in the Revisions page itself to list the modified files in a compact one-line-per-file format

(like you can expand a mail in a conversation in gmail)

A switch to expand all Revisions on the Revisions page to list the modified files (like "Expand all" in gmail)

In the expanded view, at each file a link to directly access the differences of just that file and another one to view the file (similar

to the links on the "Revision 123" page)

The ability to filter the Revisions list

a. by issue #, to list only the revisions which refer to a given issue in their commit message (maybe addresses #2287)

b. by branch, to list only the revisions which modified files of the branch (eg, to limit the listed revisions to changes in the

unstable branch)

c. by user, to list only the revisions committed by this user

d. by revision number or range of numbers, eg, like this: 

http://dev.robotbattle.com/cmtinfo_svn.php?r=10&l=50&v=1704-1709,1712 which I often use to refer to changes in discussions)

e. by date or date range

Related issues:

Related to Redmine - Feature #2762: Hide list of changed files on revision page Closed 2009-02-16

Related to Redmine - Feature #4266: Display changeset comment on repository d... Closed 2009-11-23

Related to Redmine - Feature #3988: Show diff in revision page Reopened 2009-10-07

Related to Redmine - Feature #1443: Making the Repository module as nice as t... New 2008-06-13

Related to Redmine - Feature #6352: Showing diff of structural changes in rep... New 2010-09-10

Related to Redmine - Feature #14332: [Repository] Make "view file" the default Closed

Related to Redmine - Feature #1424: improve repository viewer New 2008-06-11

History

#1 - 2010-09-28 05:41 - Andreas Huggel

The "View differences" functionality has been available for a while now. Thanks!

An interesting example for most of the above wishlist items to expand and view modified files from the Revisions page is Loggerhead as used at

Sourceforge.

#2 - 2010-09-28 05:51 - Andreas Huggel

An additional "View differences" button on the Revisions page above the revisions table would be useful. It would avoid having to scroll down to the

bottom of the page after selecting the revisions to compare. Those tend to be the ones on the top of the list.

#3 - 2013-06-25 09:14 - Toshi MARUYAMA

- Related to Feature #14332: [Repository] Make "view file" the default added

#4 - 2013-06-25 09:17 - Toshi MARUYAMA
- Related to Feature #1424: improve repository viewer added
